### Constructor

# Ggit SubmoduleUpdateOptions new

#### Declaration [src]

    GgitSubmoduleUpdateOptions*
    ggit_submodule_update_options_new (
      void
    )

#### Description [src]

Creates a new submodule options object.

#### Return value

Type: `GgitSubmoduleUpdateOptions`

A `GgitSubmoduleUpdateOptions` or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.